Inbound Webhooks API
Receive events from external systems (e.g., Learning Management Systems).
Endpoints Overview
| Method | Endpoint | Description |
|---|---|---|
| POST | /inbound-webhooks/lms/literacy-completion | LMS literacy completion |
LMS Literacy Completion
POST /inbound-webhooks/lms/literacy-completion
Receives AI Literacy training completion events from external LMS systems.
Headers
| Header | Description |
|---|---|
Authorization | Bearer <api_key> |
X-Space-Id | Target space UUID |
Request Body
{
"user_email": "user@example.com",
"program_name": "AI Act Foundations 2025",
"completion_date": "2025-02-15T00:00:00Z",
"next_renewal_date": "2026-02-15T00:00:00Z"
}
Error Responses
| Status | Description |
|---|---|
400 | Missing required fields or invalid date format |
401 | Missing or invalid Authorization header |
404 | User not found |